• Creator
    Topic
  • #21962

    Eli Kassel
    Spectator
    Been thanked: 0 times

    Hi there,
    I have an evolve theme in my website – http://www.elizzbuy.com/. In the beginning of widgets’ area, there have an “evolve Tabs Widget” of Popular, recent & comments tabs. Those tabs are not opening at all, can anyone help me with that?
    I will appreciate it!
    Thank you very much,
    Eli kassel.

Viewing 8 replies - 1 through 8 (of 8 total)
Replies
  • Denzel Chia
    Moderator
    Post count: 2871
    Been thanked: 94 times
    #21981 |

    Hi,

    There is javascript error on your site.
    Please see screenshot.

    Please try disabling plugins one at a time to find the conflicting plugin.
    You will also need to clear your cache plugin’s cache when you are disable plugin.

    Thanks!

    Eli Kassel
    Spectator
    Post count: 9
    Been thanked: 0 times
    #22077 |

    Denzel,
    Thank you very much for your support.
    I tried to fix the errors in JavaScript as you said. One error deleted and there still have another error as you mentioned me. This second error I tried and can’t to fix. I looked at that and I think that it’s a problem of Evolve’s “responsive” theme.
    You can see at this error link; http://www.elizzbuy.com/wp-content/themes/evolve-plus/library/media/js/main.js?ver=4.3.1 as it’s contacting / taking to: http://www.elizzbuy.com/#tab-recent .
    Please help me to resolve this error.
    I’m looking forward and thank you very much!
    Eli.

    Eli Kassel
    Spectator
    Post count: 9
    Been thanked: 0 times
    #22078 |

    Hello again,
    I think that it’s a specific error’s link that contacting and effecting to main problem of “Evolve tabs widget” as I wrote in the beginning.
    Thank you very much.
    Eli.

    Denzel Chia
    Moderator
    Post count: 2871
    Been thanked: 94 times
    #22088 |

    Hi,

    The Evolve tabs widget is working properly on my localhost.

    A javascript error pointing to a theme file or plugin file, doesn’t mean the error is in the theme file or plugin file. It’s something else causing a conflict and resulting in error in that theme or plugin file.

    If you are sure that your plugin is not causing error. You can remove any of your added javascript, either via a widget or added directly into your theme.

    Thanks!

    Eli Kassel
    Spectator
    Post count: 9
    Been thanked: 0 times
    #22097 |

    Hi there,
    Thank you for your replay.
    I deleted the evolve tabs widget and then checked for this error in javascript but there is still have an error. When I’m clicking in this link of error that have in right side of error name, it’s taking to:
    Javascript arror

    /* Video overlapping fix */

    jQuery(document).ready(function(){
    jQuery(‘iframe’).each(function(){
    var url = jQuery(this).attr(“src”);
    if(url.indexOf(“?”)>0){
    jQuery(this).attr(“src”,url+”&wmode=transparent”)
    }else{
    jQuery(this).attr(“src”,url+”?wmode=transparent”)
    }
    });
    });
    So you can see that this problem is at “Video overlapping” that I don’t have this option in my website.
    Also when I’m clicking this link of the error – http://www.elizzbuy.com/wp-content/themes/evolve-plus/library/media/js/main.js?ver=4.3.1 at the tab of browser, it’s showing the HTML info of this link/error that is under of this header name “Responsive Main Menu”. So I understand from it that it’s contacting to problem at this evolve theme when translating to be a “responsive”. Also when I’m clicking in this link, the main website (elizzbuy.com) that already open in the some browser in different tab, it’s changing to look of responsive them. Look at this image;
    error link to responsive
    Please follow at that and try to fix for me. Also for the evolve tabs widget. If you need my user name and the password for fixing, please let me know.
    Thank you very much for your support!
    Eli.

    Eli Kassel
    Spectator
    Post count: 9
    Been thanked: 0 times
    #22138 |

    Hi there,
    do you have any suggestion for what I wrote above?
    Please help me with that! thank you very much.
    Eli.

    Denzel Chia
    Moderator
    Post count: 2871
    Been thanked: 94 times
    #22146 |

    Hi,

    Sorry, I believe in my previous reply, I have already show you that Evolve Tabs Widget works properly.

    I am sure you have added some javascript either on a text widget or directly in the theme or in a child theme. You will have to remove them to find out which one is causing error to Evolve Theme’s javascript.

    Whatever you do, you have to clear your W3 Total Cache’s cache, or it will continue to show you cached page which contains javascript error.

    Thanks!

    Eli Kassel
    Spectator
    Post count: 9
    Been thanked: 0 times
    #22203 |

    Hi Denzel,
    Thank you for your replay.
    I cleared W3 Total Caches’s cache. Also I checked with added plugins but there still have this error. I can’t quest which javascript’s text making this error or in the theme or in a child theme as you advised. But, I see that this error element; “Uncaught TypeError: Cannot read property ‘indexOf’ of undefined” indicate to this bellow bold code (“?”) in HTML;

    /* Video overlapping fix */

    jQuery(document).ready(function(){
    jQuery(‘iframe’).each(function(){
    var url = jQuery(this).attr(“src”);
    if(url.indexOf(“?”)>0){
    jQuery(this).attr(“src”,url+”&wmode=transparent”)
    }else{
    jQuery(this).attr(“src”,url+”?wmode=transparent”)
    }
    });
    });

    I understood that in this code – (“?”) need to be some information’s code. as this ‘inspects element’ explaining “Uncaught TypeError: Cannot read property ‘indexOf’ of undefined” So I think that there need to be some code in this question mark’s code (“?”).
    What do you think? any suggestion?
    I’ll appreciate it!

    Thank you very much,
    Eli.

Viewing 8 replies - 1 through 8 (of 8 total)
You must be logged in to reply to this topic.